Bug 1109496 - Review Request: mathex - C++ library to parse/evaluate mathematical expressions
Summary: Review Request: mathex - C++ library to parse/evaluate mathematical expressions
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 753577 1111388
TreeView+ depends on / blocked
 
Reported: 2014-06-14 14:17 UTC by Sandro Mani
Modified: 2015-01-24 18:48 UTC (History)
2 users (show)

Fixed In Version: mathex-0.3b-3.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-27 21:49:42 UTC
nonamedotc: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Sandro Mani 2014-06-14 14:17:21 UTC
Spec URL: http://smani.fedorapeople.org/review/mathex.spec
SRPM URL: http://smani.fedorapeople.org/review/mathex-0.3b-1.fc21.src.rpm
Description: C++ library to parse/evaluate mathematical expressions
Fedora Account System Username: smani

Comment 1 Mukundan Ragavan 2014-06-14 17:51:09 UTC
I will take this as well.

Comment 2 Mukundan Ragavan 2014-06-14 22:50:55 UTC
Only one minor issue - 

wrong-file-end-of-line-encoding - https://fedoraproject.org/wiki/Common_Rpmlint_issues#wrong-file-end-of-line-encoding



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 6 files have unknown license. Detailed output of
     licensecheck in
     /home/mukundan/personal/pkgs/reviews/1109496-mathex/licensecheck.txt

---> No problems here.

[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.

---> http://koji.fedoraproject.org/koji/taskinfo?taskID=7045758

[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mathex-0.3b-1.fc21.x86_64.rpm
          mathex-devel-0.3b-1.fc21.x86_64.rpm
          mathex-0.3b-1.fc21.src.rpm
mathex.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/mathex/changelog.txt
mathex.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/mathex/lesser.txt
mathex.x86_64: E: incorrect-fsf-address /usr/share/doc/mathex/lesser.txt
mathex.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/mathex/license.txt
mathex-devel.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 1 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint mathex-devel mathex
mathex-devel.x86_64: W: no-documentation
mathex.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/mathex/changelog.txt
mathex.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/mathex/lesser.txt
mathex.x86_64: E: incorrect-fsf-address /usr/share/doc/mathex/lesser.txt
mathex.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/mathex/license.txt
2 packages and 0 specfiles checked; 1 errors, 4 warnings.
# echo 'rpmlint-done:'



Requires
--------
mathex-devel (rpmlib, GLIBC filtered):
    libmathex.so.0()(64bit)
    mathex(x86-64)

mathex (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)



Provides
--------
mathex-devel:
    mathex-devel
    mathex-devel(x86-64)

mathex:
    libmathex.so.0()(64bit)
    mathex
    mathex(x86-64)



Source checksums
----------------
http://sourceforge.net/projects/sscilib/files/mathex/mathex-0.3-b.zip :
  CHECKSUM(SHA256) this package     : 8b3ac4e7620e7ffe04deaae9562a37e1e1a375cf589eec06ee3e7a04ea5c9fcc
  CHECKSUM(SHA256) upstream package : 8b3ac4e7620e7ffe04deaae9562a37e1e1a375cf589eec06ee3e7a04ea5c9fcc


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1109496
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 3 Mukundan Ragavan 2014-06-14 22:52:00 UTC
I will approve the package now. Please fix the end-of-file-encoding before building.

Comment 4 Sandro Mani 2014-06-14 22:58:09 UTC
Line-endings fixed. Thanks for the review!

New Package SCM Request
=======================
Package Name: mathex
Short Description: C++ library to parse/evaluate mathematical expressions
Owners: smani
Branches: f20
InitialCC:

Comment 5 Kevin Fenzi 2014-06-18 16:32:08 UTC
Git done (by process-git-requests).

Please do assign the review bug to the reviewer when you take it. ;)

Comment 6 Mukundan Ragavan 2014-06-18 17:47:39 UTC
But comment #1 says "assigned"? No?

Comment 7 Sandro Mani 2014-06-18 17:55:49 UTC
Yep, but changing the status to Assigned does not automatically assign the bug to someone.

Comment 8 Fedora Update System 2014-06-18 18:03:19 UTC
mathex-0.3b-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mathex-0.3b-2.fc20

Comment 9 Fedora Update System 2014-06-19 22:51:04 UTC
mathex-0.3b-2.fc20 has been pushed to the Fedora 20 testing repository.

Comment 10 Fedora Update System 2014-06-27 21:49:42 UTC
mathex-0.3b-2.fc20 has been pushed to the Fedora 20 stable repository.

Comment 11 Sandro Mani 2015-01-03 15:23:29 UTC
Package Change Request
======================
Package Name: mathex
New Branches: el6 epel7
Owners: smani
InitialCC:

Comment 12 Gwyn Ciesla 2015-01-05 12:55:12 UTC
Git done (by process-git-requests).

Comment 13 Fedora Update System 2015-01-05 13:35:15 UTC
mathex-0.3b-3.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/mathex-0.3b-3.el7

Comment 14 Fedora Update System 2015-01-05 13:41:10 UTC
mathex-0.3b-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mathex-0.3b-3.el6

Comment 15 Fedora Update System 2015-01-24 18:46:40 UTC
mathex-0.3b-3.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 16 Fedora Update System 2015-01-24 18:48:05 UTC
mathex-0.3b-3.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.